<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.enterprise.mapper.EnterpriseMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="enterpriseResultMap" type="org.springblade.enterprise.entity.Enterprise">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="enterprise_type" property="enterpriseType"/>
        <result column="enterprise_name" property="enterpriseName"/>
        <result column="credit_code" property="creditCode"/>
        <result column="organization_code" property="organizationCode"/>
        <result column="registered_capital" property="registeredCapital"/>
        <result column="registered_address" property="registeredAddress"/>
        <result column="representative" property="representative"/>
        <result column="registered_date" property="registeredDate"/>
        <result column="office_num" property="officeNum"/>
        <result column="region" property="region"/>
        <result column="logo" property="logo"/>
        <result column="enterprise_introduce" property="enterpriseIntroduce"/>
        <result column="business_license" property="businessLicense"/>
        <result column="longitude" property="longitude"/>
        <result column="latitude" property="latitude"/>
        <result column="agency_id" property="agencyId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="org_position" property="orgPosition"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectEnterprisePage" resultMap="enterpriseResultMap">
        select * from cyzh_enterprise where is_deleted = 0
    </select>

</mapper>
